### org.jfree.layouting.input.style

# Class CSSCharsetRule

- `java.lang.Object`
- - `org.jfree.layouting.input.style.StyleRule`
  - - `org.jfree.layouting.input.style.CSSCharsetRule`

Implemented Interfaces:
  Cloneable, Serializable

`public class CSSCharsetRule`
`extends StyleRule`

Creation-Date: 23.11.2005, 11:08:59

Author:
  Thomas Morgner

  ## Constructor Summary

  `CSSCharsetRule(StyleSheet parentStyle, StyleRule parentRule)`

  ## Method Summary

  `String`

  `getCharset()`

  `void`

  `setCharset(String charset)`

  ### Methods inherited from class org.jfree.layouting.input.style.StyleRule

  `clone`, `getParentRule`, `getParentStyle`, `getStyleKeyRegistry`, `isReadOnly`, `makeReadOnly`, `setParentRule`, `setParentStyle`

## Constructor Details

### CSSCharsetRule

    public CSSCharsetRule(StyleSheet parentStyle,
                          StyleRule parentRule)

## Method Details

### getCharset

    public String getCharset()

### setCharset

    public void setCharset(String charset)